@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
}

body {
  font-family: "Montserrat", sans-serif;
}

/* Navbar styling */
.navbar {
  background: #f8f4e1;
  height: 80px;
  width: 100%;
  position: fixed;
  top: 0;
  z-index: 1000;
  box-shadow: 0 2px 5px rgba(116, 81, 45, 0.3);
  border-bottom: 1px solid #74512d;
  padding: 0 30px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  color: #4e1f00;
  font-size: 24px;
  font-weight: bold;
  cursor: pointer;
}

.nav-links {
  display: flex;
  margin-right: 20px;
}

.nav-links li {
  margin: 0 10px;
}

.nav-links a {
  color: #4e1f00;
  font-size: 16px;
  padding: 7px 13px;
  position: relative;
  text-transform: uppercase;
  transition: color 0.3s ease;
}

.nav-links a::after {
  content: "";
  position: absolute;
  bottom: -4px;
  left: 0;
  width: 0;
  height: 2px;
  background-color: #feba17;
  transition: width 0.3s ease;
}

.nav-links a:hover::after {
  width: 100%;
}

.nav-links a:hover {
  color: #feba17;
}

.checkbtn {
  font-size: 22px;
  color: #4e1f00;
  cursor: pointer;
  display: none;
}

#check {
  display: none;
}

/* Responsive */
@media (max-width: 890px) {
  .checkbtn {
    display: block;
  }

  .nav-links {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #f8f4e1;
    top: 80px;
    left: -100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: all 0.5s;
  }

  #check:checked ~ .nav-links {
    left: 0;
  }

  .nav-links li {
    margin: 25px 0;
  }

  .nav-links a {
    font-size: 20px;
    color: #4e1f00;
  }

  .nav-links a:hover {
    color: #feba17;
  }

  .nav-links a::after {
    background-color: #feba17;
  }
}
